summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKristian Fiskerstrand <k_f@gentoo.org>2016-12-22 16:18:25 +0100
committerKristian Fiskerstrand <k_f@gentoo.org>2016-12-22 16:32:07 +0100
commit95fa09d1a3f307d7dda0bec6391153b7aa11eee4 (patch)
tree82967c6b108b22d148d39dce38c90923e558aa26 /net-p2p/deluge/deluge-9999.ebuild
parentdev-util/mingw-runtime: remove unused patch (diff)
downloadgentoo-95fa09d1a3f307d7dda0bec6391153b7aa11eee4.tar.gz
gentoo-95fa09d1a3f307d7dda0bec6391153b7aa11eee4.tar.bz2
gentoo-95fa09d1a3f307d7dda0bec6391153b7aa11eee4.zip
net-p2p/deluge: Optional dep on monolithic or modular twisted
Gentoo-Bug: 602424 Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'net-p2p/deluge/deluge-9999.ebuild')
-rw-r--r--net-p2p/deluge/deluge-9999.ebuild5
1 files changed, 3 insertions, 2 deletions
diff --git a/net-p2p/deluge/deluge-9999.ebuild b/net-p2p/deluge/deluge-9999.ebuild
index 33cd876df11..98baa08d9dc 100644
--- a/net-p2p/deluge/deluge-9999.ebuild
+++ b/net-p2p/deluge/deluge-9999.ebuild
@@ -44,8 +44,9 @@ RDEPEND="${CDEPEND}
dev-python/pyopenssl[${PYTHON_USEDEP}]
dev-python/pyxdg[${PYTHON_USEDEP}]
dev-python/setproctitle[${PYTHON_USEDEP}]
- >=dev-python/twisted-core-13.0[${PYTHON_USEDEP}]
- >=dev-python/twisted-web-13.0[${PYTHON_USEDEP}]
+ || ( >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+ >=dev-python/twisted-web-13.0[${PYTHON_USEDEP}]
+ )
geoip? ( dev-libs/geoip )
gtk? (
sound? ( dev-python/pygame[${PYTHON_USEDEP}] )